<ngx-loading [show]="isLoading" />

<jds-bi-modal
  id="modal-forgot-password"
  #modal
  size="md"
  position="center"
>
  <ng-container ngProjectAs="header">
    <h6>Reset Password Anda?</h6>
    <button
      class="t-button-close"
      (click)="closeModal()"
      role="button"
      type="button"
    >
      <jds-bi-icon
        [size]="14"
        name="xmark"
      />
    </button>
  </ng-container>
  <ng-container ngProjectAs="body">
    <form
      class="form"
      #forgotPasswordForm="ngForm"
      [formGroup]="myForm"
      (ngSubmit)="onSubmit()"
      (keydown.enter)="$event.stopPropagation()"
    >
      <div
        #alert
        *ngIf="error === 1"
        [ngClass]="[jds.alert, jds.alertDanger, jds.alertDismissible]"
      >
        {{ message }}
        <button
          [ngClass]="jds.buttonClose"
          (click)="alert.remove()"
          type="button"
        ></button>
      </div>

      <div
        *ngrxLet="f.username; let username"
        [ngClass]="jds.mb(16)"
      >
        <label [ngClass]="[jds.formLabel]">Username</label>
        <input
          [colorScheme]="colorScheme"
          [invalid]="username.invalid && (username.dirty || username.touched)"
          type="text"
          jdsBiInput
          formControlName="username"
          placeholder="198005xxxxxxxxxxxx"
        />
        <div [ngClass]="[jds.formText, jds.text('muted')]">
          Username merupakan 18 digit dari Nomor Induk Pegawai Anda.
        </div>
        <ng-container
          *ngIf="username.invalid && (username.dirty || username.touched)"
        >
          <div
            *ngIf="username.errors.required"
            [ngClass]="[jds.formText, jds.text('danger')]"
          >
            Harus diisi.
          </div>
        </ng-container>
      </div>

      <div
        *ngrxLet="f.email; let email"
        [ngClass]="jds.mb(16)"
      >
        <label [ngClass]="[jds.formLabel]">Email</label>
        <input
          [colorScheme]="colorScheme"
          [invalid]="email.invalid && (email.dirty || email.touched)"
          jdsBiInput
          type="text"
          formControlName="email"
          placeholder="xxxxx@jabarprov.go.id"
        />
        <div [ngClass]="[jds.formText, jds.text('muted')]">
          Email yang terdaftar di Satu Data Jabar adalah email yang didaftarkan
          pada aplikasi SIAP Jabar (aplikasi Badan Kepegawaian Daerah).
        </div>
        <ng-container *ngIf="email.invalid && (email.dirty || email.touched)">
          <div
            *ngIf="email.errors.required"
            [ngClass]="[jds.formText, jds.text('danger')]"
          >
            Harus diisi.
          </div>
          <div
            *ngIf="email.errors.pattern"
            [ngClass]="[jds.formText, jds.text('danger')]"
          >
            Email tidak sesuai.
          </div>
        </ng-container>
      </div>
    </form>
  </ng-container>
  <ng-container ngProjectAs="footer">
    <button
      [ngClass]="[jds.me(8)]"
      (click)="closeModal()"
      type="button"
      jdsBiButton
      colorScheme="gray"
      variant="input"
    >
      Batal
    </button>
    <button
      [disabled]="!forgotPasswordForm.valid"
      [colorScheme]="colorScheme"
      (click)="forgotPasswordForm.ngSubmit.emit('Save')"
      type="submit"
      jdsBiButton
    >
      Kirim
    </button>
  </ng-container>
</jds-bi-modal>
